.cl-section {
  padding-top: 0;
}
.cl-section__header {
  width: 100%;
  display: flex;
}
.cl-controls {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  display: flex;
  flex-wrap: wrap;
  border-radius: 14px;
  padding: 4px;
  background-color: var(--BeigeMedium-Bg);
}
.cl-controls__button {
  border-radius: 12px;
  font-size: 14px;
  line-height: 1.429;
  font-weight: 700;
  font-family: inherit;
  letter-spacing: -0.02em;
  padding: 10px 21px;
  text-align: center;
  background-color: transparent;
  border: none;
  color: var(--Grey-Text);
  cursor: pointer;
  transition: all 0.3s;
}
.cl-controls__button:hover {
  color: var(--Orange);
}
.cl-controls__button.is-active {
  background-color: var(--White);
  color: var(--DarkLight-Text);
  pointer-events: none;
}

/* CONTACT styles */
.contact-box {
  border-radius: 32px;
  padding: 8px;
  width: 100%;
  background-color: var(--White);
  padding: 40px;
}
.contact-box__title {
  margin-bottom: 20px;
}
.contact-txt {
  font-size: 20px;
  line-height: 135%;
  letter-spacing: -0.05em;
}
.contact-info {
  border-radius: 24px;
  padding: 32px;
  background-color: var(--Input-bg);
}
.contact-info__block {
  display: flex;
  flex-direction: column;
  row-gap: 12px;
}
.contact-info__p {
  font-weight: 500;
  font-size: 14px;
}
.contact-info__action {
  text-decoration: underline;
  text-decoration-line: underline;
  text-decoration-thickness: 0.01em;
}
.contact-info__action:hover {
  text-decoration: none;
}

/* LOCATION styles */
.location-container {
  display: none;
}
.location-container.is-current {
  display: block;
}
.location-grid {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
}
.location-wrap {
  display: flex;
  flex-wrap: wrap;
  margin: -6px;
}
.location-wrap__item {
  width: 50%;
  padding: 6px;
}
.location {
  border: 1px solid var(--LightDark-Stroke);
  border-radius: 20px;
  padding: 20px 18px 20px 20px;
  display: flex;
  flex-direction: column;
  gap: 12px;
  font-size: 14px;
  height: 100%;
}
.location a:hover {
  color: var(--Orange);
}
.location__main {
  font-weight: 500;
  display: flex;
  flex-direction: column;
  row-gap: 8px;
}
.location__contacts {
  line-height: 1.4;
  letter-spacing: -0.02em;
  display: flex;
  flex-direction: column;
  gap: 4px;
}
.location__contacts-item {
  word-break: break-all;
}
.location-world-container {
  aspect-ratio: 634/597;
  border-radius: 32px;
  background-color: var(--Beige-Bg);
  padding: 10px;
  display: flex;
  align-items: center;
  overflow: hidden;
}
.location-world {
  display: block;
  width: 100%;
  height: auto;
}
.location-world path {
  opacity: 0.1;
  fill: #32302F;
}
.location-world path.krest {
	fill: #fff;
	opacity: 1;
}
.location-world path.is-active {
  opacity: 1;
  fill: var(--Orange);
}
.location-sticky {
  position: sticky;
  top: 65px;
}

/* @MEDIA MIN */
@media (min-width: 501px) {
  .location-world {
    max-width: 97.72%;
    margin-left: auto;
    margin-right: auto;
  }
}
@media (min-width: 576px) {
  .contact-info {
    display: table;
    width: 100%;
  }
  .contact-info__row {
    display: table-row;
  }
  .contact-info__row:first-child .contact-info__cell {
    padding-top: 0;
  }
  .contact-info__row:last-child .contact-info__cell {
    padding-bottom: 0;
    border-bottom: none;
  }
  .contact-info__cell {
    display: table-cell;
    padding: 24px 0;
    border-bottom: 1px solid rgba(41, 40, 39, 0.1);
  }
  .contact-info__inner {
    padding-left: 32px;
  }
}
@media (min-width: 768px) {
  .cl-section__header {
    align-items: center;
    gap: 32px;
  }
  .cl-section__header-end {
    flex-shrink: 0;
    margin-left: auto;
  }
}
@media (min-width: 992px) {
  .contact-grid {
    display: grid;
    gap: 32px;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, auto);
  }
  .contact-grid__header, .contact-grid__footer {
    grid-column: 1/2;
  }
  .contact-grid__header {
    grid-row: 1/2;
  }
  .contact-grid__main {
    grid-column: 2/3;
    grid-row: 1/3;
  }
  .contact-grid__footer {
    grid-row: 2/3;
    align-self: end;
  }
  .contact-txt_max {
    max-width: 90%;
  }
  .contact-info_max {
    max-width: 504px;
  }
}
@media (min-width: 1024px) {
  .contact-info__cell:first-child {
    width: 100%;
  }
  .contact-info__cell:last-child {
    min-width: 215px;
  }
  .location-grid__item {
    width: calc(50% - 6px);
  }
  .location {
    transition: all 0.3s;
  }
  .location:hover {
    background-color: var(--BeigeMedium-Bg);
  }
}
@media (min-width: 1281px) {
  .contact-grid__main {
    padding-left: 30px;
  }
}
/* @MEDIA MAX */
@media (max-width: 1024px) {
  .cl-title {
    font-size: 32px;
  }
  .contact-txt {
    font-size: 16px;
  }
  .location .contact-txt {
    font-size: 18px;
  }
  .location-grid__item {
    width: 100%;
  }
  .location-world .is-active, .location-world .country-entites {
    opacity: 1;
    fill: var(--Orange);
  }
}
@media (max-width: 991px) {
  .contact-grid {
    display: flex;
    flex-direction: column;
    row-gap: 48px;
  }
}
@media (max-width: 767px) {
  .cl-section__header {
    flex-direction: column;
    gap: 10px;
  }
  .contact-box {
    padding: 32px 24px;
  }
}
@media (max-width: 575px) {
  .contact-info__row {
    display: flex;
    flex-direction: column;
    row-gap: 12px;
  }
  .contact-info__row:not(:last-child) {
    padding-bottom: 24px;
    margin-bottom: 24px;
    border-bottom: 1px solid rgba(41, 40, 39, 0.1);
  }
  .contact-info__p {
    font-size: 12px;
  }
  .location {
    font-size: 12px;
  }
}
@media (max-width: 480px) {
  .location-wrap__item {
    width: 100%;
  }
}